@tailwind base;
:root {
    --primary-50: 236 253 245;
    --primary-100: 209 250 229;
    --primary-200: 167 243 208;
    --primary-300: 110 231 183;
    --primary-400: 52 211 153;
    --primary-500: 16 185 129;
    --primary-600: 5 150 105;
    --primary-700: 4 120 87;
    --primary-800: 6 95 70;
    --primary-900: 4 78 56;
    --primary-950: 2 44 34;
    --surface-0: 255 255 255;
    --surface-50: 248 250 252;
    --surface-100: 241 245 249;
    --surface-200: 226 232 240;
    --surface-300: 203 213 225;
    --surface-400: 148 163 184;
    --surface-500: 100 116 139;
    --surface-600: 71 85 105;
    --surface-700: 45 55 72;
    --surface-800: 30 41 59;
    --surface-900: 15 23 42;
    --surface-950: 3 6 23;
}

@layer base {
    .bg-main {
        @apply bg-gray-200 dark:bg-gray-900;
        @apply text-main;
    }

    .text-main {
        @apply text-gray-900 dark:text-white;
    }

    .bg-light {
        @apply bg-gray-100 dark:bg-gray-700;
        @apply text-light;
    }

    .text-light {
        @apply text-gray-700 dark:text-gray-400;
    }

    .gap-content {
        @apply gap-4;
    }

    .gap-text {
        @apply gap-2;
    }

    .gap-list {
        @apply gap-6;
    }

    .rounded-main {
        @apply rounded-lg;
    }

    .p-input {
        @apply p-1.5;
    }

    .p-container {
        @apply p-2;
    }

    .ellipsis {
        @apply overflow-hidden text-ellipsis whitespace-nowrap;
    }
}
